# Functions Functions ## Creates a new function record that does not already exist. - [POST /functions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/functions/createfunction.md): This method will auto-generate an ID and create a new function. If an ID is specified for the function, an error will be thrown. ## Execute Batch Operations - [POST /functions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/functions/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified event_id - [GET /functions/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/functions/listfunctionsbyeventid.md): Returns a list of records with the specified event_id ## Describes all of the functions for an event - [GET /functions/{tenantId}/public/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/functions/describefunctionsforevent.md): Returns a list of records with the specified event_id ## Returns a function from the system by its ID. - [GET /functions/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/functions/publicgetfunction.md): This method will look up a function by the specified ID and return it back. ## Searches for functions using predefined parameters - [POST /functions/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/events/events-v1/functions/searchforfunctions.md): Searches for functions using predefined parameters ## Returns a function from the system by its ID. - [DELETE /functions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/functions/deletefunction.md): This method will delete a function with the specified ID. ## Returns a function from the system by its ID. - [GET /functions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/functions/getfunction.md): This method will look up a function by the specified ID and return it back. ## Partially updates a function with the specified ID. - [PATCH /functions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/functions/patchfunction.md): This method will patch an existing function with the specified ID, using the HTTP PATCH specification. ## Updates a function with the specified ID. - [PUT /functions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/functions/updatefunction.md): This method will update an existing function with the specified ID.